<?php
session_start();
include("cls_conexion.php");$CNN=new ClsMySQL();include("conexion23.php");	
$C=V($_GET['C']);
$P1=V($_GET['P1']);
$P2=V($_GET['P2']);
$P3=V($_GET['P3']);
$P4=V($_GET['P4']);
$P5=V($_GET['P5']);
$P6=V($_GET['P6']);
$P7=V($_GET['P7']);	
$P8=V($_GET['P8']);	
$P9=V($_GET['P9']);
$P10=V($_GET['P10']);
$P11=V($_GET['P11']);
$P12=V($_GET['P12']);
$P13=V($_GET['P13']);
$P14=V($_GET['P14']);
$P15=V($_GET['P15']);
$P16=V($_GET['P16']);
$P17=V($_GET['P17']);
$P18=V($_GET['P18']);
$P19=V($_GET['P19']);
$P20=V($_GET['P20']);
//+++++++++++++
if($C=="ES_AGENTE"){
	$RUC=trim($P1);
	$AGE=gs("emp_age","ges_xml_empresas","emp_ruc='$RUC'");
	if(strlen($AGE)==0)$AGE="SI";
	echo "|OK|".$AGE."|";
	return;
}
//+++++++++++++
if($C=="XLM_VAL_G"){
	$HWN=trim($P1);
	$RET=trim($P2);
	$CLI_RUC=trim($P3);
	$TOT=vbval($P4);
	$MND=trim($P5);
	//
	$ES_AGE=gs("emp_age","ges_xml_empresas","emp_ruc='$CLI_RUC'");
	if($ES_AGE=="NO"){
		if($RET=="SI"){
			echo "|MS|El ruc $CLI_RUC no es agente de retencion|";
			return;
		}
	}
	/*
	if($ES_AGE=="SI" && $MND=="PEN"){
		if($TOT>=700){
			if($RET=="NO"){
				echo "|MS|La factura debe estar afecta a retencion, el ruc $CLI_RUC es agente de retencion y el total es igual o mayor a 700 soles|";
				return;
			}
		}
	}
	*/
	//++
	if($RET=="NO"){
		$SUM_RET=gn("count(*)","ges_xml_tmp_cuo","cuo_pag_tot>0 AND cuo_tot_ret>0 AND hw='$HWN'");
		if($SUM_RET>0){
			echo "|MS|Una o mas cuotas tienen retencion y han sido pagadas|";
		}else{
			echo "|OK|OK|";
		}
		return;
	}
	if($RET=="SI"){
		$SUM_RET=gn("count(*)","ges_xml_tmp_cuo","cuo_pag_tot>0 AND cuo_tot_ret=0 AND hw='$HWN'");
		if($SUM_RET>0){
			echo "|MS|Una o mas cuotas no tienen retencion y han sido pagadas|";
		}else{
			echo "|OK|OK|";
		}
		return;
	}
	echo "|OK|OK|";
	return;
}
//+++++++++++++
if($C=="FAC_XML_KIL"){
	$KEY=vbval($P1);
	$CAN=gn("count(*)","ges_xml_cuo","cuo_pag='SI' AND id_xml=$KEY");
	if($CAN>0){
		echo "|MS|Una o mas cuotas han sido pagadas, aplique deshacer el pago para poder eliminar|";		
	}else{
		echo "|OK|OK|";
	}
	return;
}
//+++++++++++++
if($C=="XML_GET_RUC"){
	$RUC=trim($P1);
	$KEY=gn("id","ges_xml_empresas","emp_ruc='$RUC'");
	if($KEY==0){
		echo "|CD|Cero datos registrados|";
	}else{
		$NOM=gs("emp_nom","ges_xml_empresas","id=$KEY");
		echo "|OK|".$RUC."|".$NOM."|";
	}
	return;
}
//+++++++++++++
if($C=="XML_DET_KIL"){
	$KEY=vbval($P1);
	$s="DELETE FROM ges_xml_tmp_det WHERE id_det=$KEY";
	ejt($s);
}
//+++++++++++++
if($C=="XML_COU_ANU"){
	$KEY=vbval($P1);
	$CX=gn("count(*)","ges_xml_tmp_cuo","id_cuo=$KEY");
	if($CX==0){
		echo "|MS|Numero de cuota no registrada|";
		return;
	}
	$PAG=gn("cuo_pag_tot + cuo_ret_tot","ges_xml_tmp_cuo","id_cuo=$KEY");
	if($PAG>0){
		echo "|MS|Uno mas pagos asignados, aplique deshacer antes de anular|";
		return;
	}	
	echo "|OK|OK|";
	return;
}
//+++++++++++++
if($C=="XML_CUO_KIL"){
	$KEY=vbval($P1);
	$CX=gn("count(*)","ges_xml_tmp_cuo","id_cuo=$KEY");
	if($CX==0){
		echo "|MS|Numero de cuota no registrada|";
		return;
	}
	$PAG=gn("cuo_pag_tot + cuo_ret_tot","ges_xml_tmp_cuo","id_cuo=$KEY");
	if($PAG>0){
		echo "|MS|Uno mas pagos asignados, aplique deshacer antes de eliminar|";
		return;
	}
	$s="DELETE FROM ges_xml_tmp_cuo WHERE id_cuo=$KEY";
	ejt($s);
	echo "|OK|OK|";
	return;
}
//+++++++++++++//+++++++++++++//+++++++++++++
if($C=="XML_SET_FEC"){
	$KEY=vbval($P1);
	$FEC=ToDateEx($P2);
	$s="UPDATE ges_xml_tmp_cuo SET cuo_fep='$FEC' WHERE id_cuo=$KEY";
	ejt($s);
}
//+++++++++++++
if($C=="PRO_ADD_REF"){
	$PRO=vbval($P1);
	$SER=trim($P2);
	$NUW=vbval($P3);
	$ITE=vbval($P4);
	//
	$CX=gn("count(*)","ges_productos_referencias",
		   "id_pro=$PRO AND inv_ser='$SER' AND 	inv_num_=$NUW AND inv_item=$ITE");
	if($CX==0){
		echo "|OK|OK|";return;
	}else{
		echo "|MS|Serie, numero e item ya registrados para el presente producto|";return;
	}
}
//++++++
if($C=="KIL_REF"){
	$KOD=vbval($P1);
	ejt("DELETE FROM ges_productos_referencias WHERE id_ref=$KOD");
	echo "|OK|OK|";
	return;
}
//++
if($C=="UTC"){
	$TC=round(vbval($P1),2);
	$s="UPDATE valores SET valor=".$TC." WHERE dato='T_CAMBIO'";
	ejt($s);
	echo "|OK|xx|";
}
//
if($C=="VEN_VAL_STOCK"){
	$HW=$P1;
	$PRO="";
	$s="SELECT temc_id_producto,temc_cant 
		FROM temp_compras 
		WHERE cod_temc='$HW' ORDER BY temc_index";
	$rs = grs($s);
	while ($r =$rs->fetch_assoc()){
		$_PRO=$r['temc_id_producto'];
		$_CAN=$r['temc_cant'];
		$_STO=gn("SUM(stock)","stocks","id_producto=$_PRO");
		if($_CAN>$_STO){
			$PRO=gs("pro_des","productos","id_producto=$_PRO");
			echo "|MS|Stock insuficiente para :".$PRO.", stock disponible : ".$_STO."|";
			return;
			break;
		}
	}
	echo "|OK|";
	return;
}
//
if($C=="Z_GUIA"){
	$Cod=$P1;
	//
	$r=gr("vproductos","COD='$Cod'");
	$PId=$r['ID'];
	$Cod=$r['COD'];
	$Des=$r['LINEA']." ".$r['MODELO']." ".$r['DESCRIPCION'];	
	$Mar=$r['MARCA'];
	//
	echo $PId."|".$Cod."|".$Des."|".$Mar;	
}

if($C=="Z_TRASFERENCIAS"){
	$Cod=$P1;
	//
	$r=gr("vproductos","COD='$Cod'");
	$PId=$r['ID'];
	$Cod=$r['COD'];
	$Des=$r['LINEA']." ".$r['MODELO']." ".$r['DESCRIPCION'];	
	$Mar=$r['MARCA'];
	//
	echo $PId."|".$Cod."|".$Des."|".$Mar;	
}

if($C=="Z_COMPRAS"){
	$Cod=$P1;
	//
	$r=gr("vproductos","COD='$Cod'");
	$PId=$r['ID'];
	$Cod=$r['COD'];
	$Des=$r['LINEA']." ".$r['MODELO']." ".$r['DESCRIPCION'];
	$Pre=$r['PC_SOL'];

	//
	echo $PId."|".$Cod."|".$Des."|".$Pre;	
}

if($C=="Z_VENTAS"){
	$Cod=$P1;
	//
	$r=gr("vproductos","COD='$Cod'");
	$PId=$r['ID'];
	$Cod=$r['COD'];
	$Des=$r['LINEA']." ".$r['MODELO']." ".$r['DESCRIPCION'];
	$Pre=$r['PV_MIN'];

	//
	echo $PId."|".$Cod."|".$Des."|".$Pre;	
}

if($C=="IN_LINEA"){
	$Nom=$P1;
	//
	$CX=gn("count(*)","lineas","lineas='$Nom'");
	//
	if($CX==0){
		$Id=GenId("id_linea","lineas");	
		$s="INSERT INTO lineas VALUES ($Id,'$Nom','')";
		ejt($s);
	}
}

if($C=="IN_FABRICANTES"){
	$Nom=trim($P1);
	//
	$CX=gn("count(*)","fabricantes","fab_nom='$Nom'");
	//
	if($CX==0){
		$Id=GenId("id_fab","fabricantes");	
		$s="INSERT INTO fabricantes VALUES ($Id,'$Nom')";
		ejt($s);
	}
}

if($C=="IN_MODELOS"){
	$Nom=trim($P1);
	//
	$CX=gn("count(*)","modelos","mod_nom='$Nom'");
	//
	if($CX==0){
		$Id=GenId("id_mod","modelos");	
		$s="INSERT INTO modelos VALUES ($Id,'$Nom','SI')";
		ejt($s);
	}
}

if($C=="IN_MARCAS"){
	$Nom=$P1;
	//
	$CX=gn("count(*)","marcas","mar_nombre='$Nom'");
	//
	if($CX==0){
		$Id=GenId("id_marca","marcas");	
		$s="INSERT INTO marcas VALUES ($Id,'$Nom')";
		ejt($s);
	}
}

if($C=="IN_PROVEEDORES"){
	$Nom=trim($P1);
	//
	$CX=gn("count(*)","proveedores","pro_nombre='$Nom'");
	//
	if($CX==0){
		$Id=GenId("id_proveedor","proveedores");	
		$s="INSERT INTO proveedores VALUES ($Id,'$Nom','','',0,'','','','','','')";	
		ejt($s);
	}
}

if($C=="IN_UNIDADES"){
	$Nom=trim($P1);
	//
	$CX=gn("count(*)","unidades","uni_nombre='$Nom'");
	//
	if($CX==0){
		$Id=GenId("id_unidad","unidades");	
		$s="INSERT INTO unidades VALUES ($Id,'$Nom')";
		ejt($s);
	}
}

if($C=="IN_CARGOS"){
	$Nom=trim($P1);
	//
	$CX=gn("count(*)","cargos","car_nombre='$Nom'");
	//
	if($CX==0){
		$Id=GenId("id_cargo","cargos");	
		$s="INSERT INTO cargos VALUES ($Id,'$Nom')";
		ejt($s);
	}
}

if($C=="IN_BANCOS"){
	$Nom=trim($P1);
	//
	$CX=gn("count(*)","bancos","ban_nombre='$Nom'");
	//
	if($CX==0){
		$Id=GenId("id_banco","bancos");	
		$s="INSERT INTO bancos VALUES ($Id,'$Nom')";
		ejt($s);
	}
}

if($C=="F_STOCK_M"){
	$Alm=$P1;
	$Cod=$P2."%";
	$Des="%".$P3."%";
	$Mar=$P4."%";
	$T=0;
	//

	
	$Alm_=gn("id_almacen","almacenes","alm_nombre='".$Alm."'");
	//
	$sql="SELECT ID_ALM,COD,FAB,MODELO,DES,MAR
		FROM vstocks
		WHERE COD LIKE '$Cod' AND DES LIKE '$Des' AND MAR LIKE '$Mar' AND ID_ALM=$Alm_ 
		ORDER BY DES";
		
	$result = grs($sql);
	$NF = mysql_num_rows($result);
	
	while ($r = $result->fetch_assoc()){
		$s=$s.$r['ID'].",";
		$s=$s.$r['COD'].",";
		$s=$s.$r['FAB'].",";
		$s=$s.$r['MODELO'].",";
		$s=$s.$r['DES'].",";
		$s=$s.$r['MAR'];
		
		$T++;
		if($NF!=$T){
		$s=$s."|";
		}
	}
	//
	echo $s;
}

//-----------------------------------------------------------------------------		
if($C=="Z_STOCK_M"){
	$Cod=$P1;
	//
	$r=gr("vproductos","COD='$Cod'");
	$Cod=$r['COD'];
	$Des=$r['DESCRIPCION'];
	$Mar=$r['MARCA'];
	//
	echo $Cod."|".$Des."|".$Mar;
}

//-----------------------------------------------------------------------------	
if($C=="GET_CLIENTES"){		
	$Ruc=$P1;		
	//
	$r=gr("vclientes","RUC='$Ruc'");
	$RAZ=$r['NOMBRE'];
	$RUC=$r['RUC'];
	$DNI=$r['DNI'];
	$DIR=$r['DIRECCION'];
	$TEL=$r['TEL'];
	$EMA=$r['EMAIL'];
	$CON=$r['CONTACTO'];
	$ICL=$r['ID'];	
	//
	if($ICL!=""){
	echo $RAZ."|".$RUC."|".$DNI."|".$DIR."|".$TEL."|".$EMA."|".$CON."|".$ICL;		
	}	
	

}
//-----------------------------------------------------------------------------	
if($C=="GET_CLIENTES2"){		
	$Dni=$P1;		
	//
	$r=gr("vclientes","DNI='$Dni'");
	$RAZ=$r['NOMBRE'];
	$RUC=$r['RUC'];
	$DNI=$r['DNI'];
	$DIR=$r['DIRECCION'];
	$TEL=$r['TEL'];
	$EMA=$r['EMAIL'];
	$CON=$r['CONTACTO'];
	$ICL=$r['ID'];				
	//
	if($ICL!=""){
	echo $RAZ."|".$RUC."|".$DNI."|".$DIR."|".$TEL."|".$EMA."|".$CON."|".$ICL;		
	}

}
//**---------------------------------------------------------------------------
if($C=="gs"){
	$Cam=$P1;
	$Tab=$P2;
	$Con=$P3;
	$R=gs("$Cam","$Tab","$Con");
	echo $R;
}
//**---------------------------------------------------------------------------	
if($C=="LISTA"){
	$Cam=$P1;
	$Tab=$P2;
	$Con=$P3;
	//
	$StrL="";
	$s="SELECT $Cam FROM $Tab WHERE $Con ORDER BY $Cam";		
	$result = grs($s);			
	while ($row = $result->fetch_assoc()){
		$StrL=$StrL."|".$row[0];
	}			
	$StrL=vbmid($StrL,2,strlen($StrL));
	$StrL=trim($StrL);
	echo $StrL;
}
//-----------------------------------------------------------------------------	
if($C=="FV_EDITAR"){	
	$StrC=$P1;	
	$StrP=$P2;
	$StrI=$P3;
	$StrH=$P4;
	$StrX=round(vbval($StrC) * vbval($StrP),2);
	//
	ejt("UPDATE temp_compras SET temc_cant=$StrC,temc_precio=$StrP,temc_imp=$StrX WHERE cod_temc='$StrH' AND temc_index=$StrI");
}

//-----------------------------------------------------------------------------	
if($C=="E_ITEM"){
	$DATOS=$P1;
	$Res=explode("|",$DATOS);
	//
	$InvFec=ToDate($Res[0]);
	$InvSer=$Res[1];
	$InvNum=$Res[2];
	$InvNum_=vbval($InvNum);
	$InvIte=vbval($Res[3]);
	$PaiOri=$Res[4];
	$PaiDes=$Res[5];
	$Par=$Res[6];
	$NomCom=$Res[7];
	$Est=$Res[8];
	$FobUsd=vbval($Res[9]);
	$FobKg=vbval($Res[10]);
	$Und=$Res[11];
	$Can=vbval($Res[12]);
	$Mod=$Res[13];
	$Cla=$Res[14];
	$Dua=$Res[15];
	$DuaIte=vbval($Res[16]);
	$Lnk=$Res[17];
	$IdP=vbval($Res[18]);//REF
	$PRO_KOD=gn("id_pro","ges_productos_referencias","id_ref=$IdP");
	$Obs=$Res[19];
	$Emp=$Res[20];
	$REPETIDO=vbval($Res[21]);
	//
	if($REPETIDO==0){
		$CX=gn("count(*)","ges_productos_referencias",
		   "id_pro=$PRO_KOD AND inv_ser='$InvSer' AND inv_num_=$InvNum_ AND inv_item=$InvIte AND id_ref<>$IdP");
		if($CX==0){
			//echo "|OK|OK|";return;
		}else{
			echo "|MS|Serie, numero e item ya registrados para el presente producto|";return;
		}
	}
	//
	$ref_inv_id=0;
	$ref_inv_id_pro=0;
	$ref_inv_ok=0;
	//
	$ref_inv_id=gn("id_in","ges_invoice","in_inv_ser='".$InvSer."' AND in_inv_num_=".$InvNum_);
	if($ref_inv_id>0){
		$ref_inv_id_pro=gn("det_id_pro","ges_invoice_det","det_id_inv=$ref_inv_id AND det_cx=$InvIte");
		if($ref_inv_id_pro==$IdP){
			$ref_inv_ok=1;		
		}
	}
	//
	$SYS_HOR=GetHoraAP();
	$SYS_TIM=time();
	$Emp_=gn("id_emp","ges_empresas","emp_nom_cor='$Emp'");	
	//
	$s="UPDATE ges_productos_referencias SET 
		sys_tim=$SYS_TIM,
		sys_hor='$SYS_HOR',
		sys_fec='$InvFec',
		inv_fec='$InvFec',
		inv_ser='$InvSer',
		inv_num='$InvNum',
		inv_num_=$InvNum_,
		inv_item=$InvIte,
		pai_ori='$PaiOri',
		pai_des='$PaiDes',
		partida='$Par',
		nom_comercial='$NomCom',
		estado='$Est',
		fob_uss=$FobUsd,
		fob_kg=$FobKg,
		unidad='$Und',
		cantidad=$Can,
		modelo='$Mod',
		clase_variedad='$Cla', 
		dua='$Dua',
		dua_item=$DuaIte,
		link='$Lnk',
		observacion='$Obs',
		id_emp=$Emp_,
		ref_inv_id=$ref_inv_id,ref_inv_id_pro=$ref_inv_id_pro,ref_inv_ok=$ref_inv_ok 
	WHERE id_ref=$IdP";	
	ejt($s);
	echo "|OK|OK|";return;
}
?>
